libpqxx 4.0.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
pqxx::internal::reactivation_avoidance_exemption Class Reference

Scoped exemption to reactivation avoidance. More...

`#include <connection_base.hxx>`

## Public Member Functions

| reactivation_avoidance_exemption (connection_base &C)
| ~reactivation_avoidance_exemption ()
void | close_connection () throw ()

## Detailed Description

Scoped exemption to reactivation avoidance.

## Constructor & Destructor Documentation

pqxx::internal::reactivation_avoidance_exemption::reactivation_avoidance_exemption | ( | connection_base & | C | ) |

explicit

pqxx::internal::reactivation_avoidance_exemption::~reactivation_avoidance_exemption | ( |  | ) |

## Member Function Documentation

void pqxx::internal::reactivation_avoidance_exemption::close_connection | ( |  | ) | throw ()

The documentation for this class was generated from the following files:

- connection_base.hxx
- connection_base.cxx